## Name

glDeleteQueries — delete named query objects

## C Specification

`void glDeleteQueries(` | GLsizei n,
| const GLuint * ids`)`;

## Parameters

`n`

  Specifies the number of query objects to be deleted.

`ids`

  Specifies an array of query objects to be deleted.

## Description

`glDeleteQueries` deletes `n` query objects named by the elements of the array `ids`. After a query object is deleted, it has no contents, and its name is free for reuse (for example by glGenQueries).

`glDeleteQueries` silently ignores 0's and names that do not correspond to existing query objects.

## Errors

`GL_INVALID_VALUE` is generated if `n` is negative.

## Associated Gets

glIsQuery

## See Also

glBeginQuery, glEndQuery, glGenQueries, glGetQueryiv, glGetQueryObject

## Copyright

Copyright © 2005 Addison-Wesley. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.